1 Reply Latest reply: Nov 30, 2012 2:38 PM by razmee209
NJLDixon Level 1 Level 1 (0 points)

its telling me i need a 10.0 version update to sycn my phone on the pc through itunes but my phones has the latest update


iPhone 4S, iOS 6.0.1